
var node_transformer = require('node-transformer');

function minify(contents, callback) {

    var uglify = require('uglify-js');

    var ast = uglify.parse(contents);
    ast.figure_out_scope();
    var compressed_ast = ast.transform(uglify.Compressor());

    callback(null, compressed_ast.print_to_string());
}

function mangle(contents, callback) {
    var uglify = require('uglify-js');

    var ast = uglify.parse(contents);
    ast.figure_out_scope();
    ast.compute_char_frequency();
    ast.mangle_names();



    callback(null, ast.print_to_string({beautify: true, comments: true}));
}

module.exports = function(options) {
    var transformers = [];

    if (options.mangle) {
        transformers.push(mangle);
    }

    if (options.minify) {
        transformers.push(minify);
    }

    options.transformers = transformers;
    node_transformer(options);
};